WordPress.org

Make WordPress Core

Ticket #13865: t13865-sprintf-placeholders.diff

File t13865-sprintf-placeholders.diff, 978 bytes (added by demetris, 8 years ago)

Fixing sprintf placeholders

  • wp-includes/load.php

     
    104104        global $required_php_version, $wp_version;
    105105        $php_version = phpversion();
    106106        if ( version_compare( $required_php_version, $php_version, '>' ) )
    107                 die( sprintf( /*WP_I18N_OLD_PHP*/'Your server is running PHP version %1$s but WordPress %2%s requires at least %2%s.'/*/WP_I18N_OLD_PHP*/, $php_version, $wp_version, $required_php_version ) );
     107                die( sprintf( /*WP_I18N_OLD_PHP*/'Your server is running PHP version %1$s but WordPress %2$s requires at least %3$s.'/*/WP_I18N_OLD_PHP*/, $php_version, $wp_version, $required_php_version ) );
    108108
    109109        if ( !extension_loaded( 'mysql' ) && !file_exists( WP_CONTENT_DIR . '/db.php' ) )
    110110                die( /*WP_I18N_OLD_MYSQL*/'Your PHP installation appears to be missing the MySQL extension which is required by WordPress.'/*/WP_I18N_OLD_MYSQL*/ );